Can I patch PSP ISOs so they will work in my CFW 4m33?

Discussion in 'PSP - Games & Content' started by Overwhelming, Dec 31, 2010.

  1. Overwhelming
    OP

    Member Overwhelming GBAtemp Fan

    Joined:
    Dec 13, 2003
    Messages:
    350
    Country:
    Portugal
    Can I patch PSP ISOs so they will work in my CFW 4m33?

    If yes, how?

    Thanks in advance.
     
  2. DigitalDeviant

    Member DigitalDeviant GBAtemp Addict

    Joined:
    Feb 14, 2010
    Messages:
    2,002
    Location:
    Solar Federation
    Country:
    United States
    depends on which games, FIY Gen D-4 aka prometheus has more compatibility than m33.
     
  3. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    What the exact firmware you're on?

    Check by going to Settings - System Settings - System Information.
     
  4. 8BitWalugi

    Member 8BitWalugi Taiyohhhhhh!

    Joined:
    Mar 22, 2008
    Messages:
    3,271
    Location:
    Side 7
    Country:
    Australia
    Bro? Promethius is a method of patching ISOs. 5.50 Promethius essentially auto-patches the games when you boot them up so you don't have to do it manually.
     
  5. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    HAHAHAHAHAHAHA.......Better burn your FIY (?) tips textbook that you got for Christmas....

    And no TC....if you're on 4.xx M33 then you're going to have to update to either 5.00M33 (recommended to go to -6) or GEN/Prometheus. Some things just won't run on 4.xx now
     

Share This Page